ReferenceAgents, threads and templates
The team's agents (members and the team's service accounts; platform staff read any team's)
GET
Service-managed agents (with an external key) are included with includeManaged=true, for the team's owners, admins and service accounts, and platform staff. Platform admins and auditors see any team's agents (settings and status, not conversations).
team*stringTeam slug or ID
includeManaged?booleanAgents by name
application/json- response
data*array<>curl -X GET 'https://agents.example.com/v1/teams/string/agents'{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d", "templateSlug": "string", "templateName": "string", "templateVersion": 0, "templateCurrentVersion": 0, "externalKey": "string", "enabled": true, "running": true, "model": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "providerName": "string", "source": "agent", "available": true }, "lastUsedAt": "2019-08-24T14:15:22Z", "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}